aboutsummaryrefslogtreecommitdiffstats
path: root/testing/leafpad/APKBUILD
diff options
context:
space:
mode:
authorAmatCoder <amatcoder@users.noreply.github.com>2014-10-26 14:57:45 +0000
committerAmatCoder <amatcoder@users.noreply.github.com>2014-10-26 17:13:28 +0000
commitbc55cf1e8d9e0d8a53ec8a46aaaa0a121d0efc8b (patch)
tree3f28e60cab5836e5329178ea2b46c63104383b82 /testing/leafpad/APKBUILD
parent5369ff7702bf343b735d926135e752d57f80677d (diff)
downloadaports-bc55cf1e8d9e0d8a53ec8a46aaaa0a121d0efc8b.tar.gz
aports-bc55cf1e8d9e0d8a53ec8a46aaaa0a121d0efc8b.tar.bz2
aports-bc55cf1e8d9e0d8a53ec8a46aaaa0a121d0efc8b.tar.xz
testing/leafpad: new aport
Diffstat (limited to 'testing/leafpad/APKBUILD')
-rw-r--r--testing/leafpad/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/leafpad/APKBUILD b/testing/leafpad/APKBUILD
new file mode 100644
index 0000000000..b1c48a80c8
--- /dev/null
+++ b/testing/leafpad/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: August Klein <amatcoder@gmail.com>
+# Maintainer: August Klein <amatcoder@gmail.com>
+pkgname=leafpad
+pkgver=0.8.18.1
+pkgrel=0
+pkgdesc="A simple GTK+ text editor"
+url="http://tarot.freeshell.org/leafpad"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="gtk+2.0-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-lang"
+source="http://download.savannah.gnu.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr --enable-chooser || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ chmod +x ./install-sh
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="254a72fc67505e3aa52884c729cd7b97 leafpad-0.8.18.1.tar.gz"
+sha256sums="959d22ae07f22803bc66ff40d373a854532a6e4732680bf8a96a3fbcb9f80a2c leafpad-0.8.18.1.tar.gz"
+sha512sums="1caad712967f634f585ab32e406534b5ce2c5621008c1eb5b2b48f17ca0f48cd834ea2ea1c67eda4053fa84e8727ff0e708e99d3b5dad838dcf0701389788257 leafpad-0.8.18.1.tar.gz"